图谱 API 版

Whats App Business Account Subscribed Apps

读取

Get a list of apps subscribed to webhooks for the WABA.

例子

Graph API Explorer
GET /v25.0/{whats-app-business-account-id}/subscribed_apps HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{whats-app-business-account-id}/subscribed_apps',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{whats-app-business-account-id}/subscribed_apps",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{whats-app-business-account-id}/subscribed_apps",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{whats-app-business-account-id}/subscribed_apps"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
如果你希望详细了解如何使用图谱 API,请阅读我们的图谱 API 指南

参数

这个端点不包含任何参数。

字段

从这条连线读取将返回一个 JSON 格式的结果:

{ "data": [], "paging": {} }

data

WhatsAppApplication 节点列表。

paging

详细了解分页功能,请见图谱 API 指南

错误代码

错误描述
100Invalid parameter
200Permissions error
80008There have been too many calls to this WhatsApp Business account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.

创建

你可以通过下列路径向 subscribed_apps 连线发出 POST 请求:
发布到这个连线会创建 a WhatsAppApplication

参数

参数描述
override_callback_uri
URI

Required if overriding the callback URL.


New callback URL. See Overriding the Callback URL.

verify_token
string

Required if overriding the callback URL.


Callback verification token. See Overriding the Callback URL.

返回类型

这个端点支持先写后读,并会读取接收你的 POST 请求的节点。
Struct {
success: bool,
}

错误代码

错误描述
100Invalid parameter
2200subscription validation failed
200Permissions error
2201received an invalid hub.challenge while validating endpoint
190Invalid OAuth 2.0 Access Token
80008There have been too many calls to this WhatsApp Business account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.

更新

你无法在此端点执行该操作。

删除

你可以向 /{whats_app_business_account_id}/subscribed_apps 发出 DELETE 请求,将 a WhatsAppApplication 与 a WhatsAppBusinessAccount 取消关联。

参数

这个端点不包含任何参数。

返回类型

Struct {
success: bool,
}

错误代码

错误描述
100Invalid parameter
200Permissions error
80008There have been too many calls to this WhatsApp Business account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.
190Invalid OAuth 2.0 Access Token